Page MenuHomePhabricator

Add support for 'No permission since' template in Commons deletion bot notifications
Closed, ResolvedPublic3 Story Points

Description

Per a discussion on en.wikivoyage there is a common problem of images on Commons being tagged with the No permission since template and being deleted consequently. They have requested after getting consensus that we enable the bot Commons deletion notification bot to work on en.wikivoyage with the addition of notifying for the No permission since template.

This task is for the following:

  • Add support for use of No permission since template for all wikis (not just en.wikivoyage).
  • Enable the bot on en.wikivoyage

Does this need QA?

Yes. Please report back on the task after the bot is enabled so its activity can be monitored.

Event Timeline

Niharika triaged this task as Medium priority.Nov 5 2018, 5:21 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptNov 5 2018, 5:21 PM
Niharika set the point value for this task to 3.Nov 7 2018, 12:13 AM
Niharika moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
Niharika updated the task description. (Show Details)Nov 7 2018, 12:26 AM

Per meeting discussion, we decided to make No permission since template deletion notifications available for all wikis so it's no longer just for en.wikivoyage.

MaxSem claimed this task.Nov 28 2018, 11:12 PM
MaxSem moved this task from Ready to In Development on the Community-Tech-Sprint board.

@Niharika, we need a message for this category.

Specifically, we need analogs to speedy's {{PLURAL:$1|A Commons file|Commons files}} used on this page {{PLURAL:$1|has|have}} been nominated for speedy deletion
and
The following Wikimedia Commons {{PLURAL:$1|file|files}} used on this page {{PLURAL:$1|has|have}} been nominated for speedy deletion:.

How about -
Title: {{PLURAL:$1|A Commons file|Commons files}} used on this page {{PLURAL:$1|has|have}} been nominated for deletion
Body: The following Wikimedia Commons {{PLURAL:$1|file|files}} used on this page {{PLURAL:$1|has|have}} been nominated for deletion due to absence of proof of permission:.

Enabled the bot on enwikivoyage. Non-English wikis need to translate the messages before they can get it.

Niharika closed this task as Resolved.Jan 9 2019, 12:42 PM
Niharika moved this task from Needs Review/Feedback to Q2 2018-19 on the Community-Tech-Sprint board.